Page MenuHomePhabricator

Migrate T31782 to project/tag
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2017, 10:34 PM
MarcoAurelio triaged this task as Low priority.
#Requires-maintenance-script
#Wikimedia-Maintenance-Script-Required
#WMF-Maintenance-Script-Required
#Maintenance-script-WMF-required

Any other ideas?

"Required" sounds like someone needs to write a maintenance script? Isn't T31782 about requests to run existing maintenance scripts, or do I misunderstand?

demon added a subscriber: demon.Mar 6 2017, 9:24 PM

No, you're correct re: T31782. Required I guess can be little confusing--and sometimes, they aren't required runs, they're just wanted.

Maybe #WMF-maint-script-run is a little more clear? That avoids the encoding the necessity in the tag which really should be clear from the task's title and priority.

#WMF-maintenance-script-run looks good to me. I'd add the -required suffix too, but that may make the project name too large? In any case I prefer descriptive names rather than acronyms or abbreviations nobody can guess :-)

demon added a comment.Mar 11 2017, 8:41 PM

I'd say skip -required. Sometimes they're not required just desired :)

#WMF-maintenance-script-run will be then. I'll try to get this done shortly.

MarcoAurelio closed this task as Resolved.Mar 15 2017, 12:49 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMar 11 2019, 12:46 AM